cups-config(1)

NOM
cups-config - Obtenir les informations sur l'API, la compilation, les répertoires et les liens pour CUPS (obsolète).

SYNOPSIS
cups-config --api-version
cups-config --build
cups-config --cflags
cups-config --datadir
cups-config --help
cups-config --ldflags
cups-config [ --image ] [ --static ] --libs
cups-config --serverbin
cups-config --serverroot
cups-config --version

DESCRIPTION
La commande cups-config permet aux développeurs d'application de déterminer les options en ligne de commande nécessaires pour le compilateur et l'éditeur de liens, ainsi que de déterminer les répertoires des filtres, des fichiers de configuration et des pilotes. Toutes les valeurs sont affichées sur la sortie standard. Remarque : Cette commande est obsolète et sera supprimée dans une version future de CUPS. La commande pkg-config(1) devrait être utilisée à la place.

OPTIONS
cups-config accepte les options de ligne de commande suivantes :

--api-version
    Afficher la version d'API actuelle (majeur.mineur).

--build
    Afficher un numéro de compilation spécifique au système.

--cflags
    Afficher les options de compilations nécessaires.

--datadir
    Afficher le répertoire de données par défaut de CUPS.

--help
    Afficher un message d'aide d’utilisation du programme.

--ldflags
    Afficher les options nécessaires pour l'édition des liens.

--libs
    Afficher les bibliothèques nécessaires pour l'édition des liens.

--serverbin
    Afficher le répertoire par défaut des binaires, où se trouvent les filtres et programmes de transmission.

--serverroot
    Afficher le répertoire du fichier de configuration par défaut de CUPS.

--static
    Lorsqu'elle est utilisée avec --libs, les bibliothèques statiques seront affichées au lieu des bibliothèques partagées qui sont affichées par défaut.

--version
    Afficher la version complète de l'installation CUPS (majeur.mineur.patch).

EXEMPLES
Afficher la version actuellement installée de CUPS :

    cups-config --version

Compiler un filtre CUPS constitué d’un seul fichier :

    cc `cups-config --cflags --ldflags` -o filter filter.c \
        `cups-config --libs`

OPTIONS OBSOLÈTES
Les options suivantes sont obsolètes mais continuent à fonctionner pour des raisons de rétrocompatibilité :

--image
    Précédemment utilisée pour ajouter la bibliothèque de gestion des images CUPS à la liste des bibliothèques.

VOIR AUSSI
cupsd(1), pkg-config(1), aide en ligne de CUPS (http://localhost:631/help).

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.